KTextEditor::MarkInterface Class Referenceabstract

`#include <markinterface.h>`

## Public Types

enum

MarkTypes {
markType01 = 0x1, markType02 = 0x2, markType03 = 0x4, markType04 = 0x8,
markType05 = 0x10, markType06 = 0x20, markType07 = 0x40, markType08 = 0x80,
markType09 = 0x100, markType10 = 0x200, markType11 = 0x400, markType12 = 0x800,
markType13 = 0x1000, markType14 = 0x2000, markType15 = 0x4000, markType16 = 0x8000,
markType17 = 0x10000, markType18 = 0x20000, markType19 = 0x40000, markType20 = 0x80000,
markType21 = 0x100000, markType22 = 0x200000, markType23 = 0x400000, markType24 = 0x800000,
markType25 = 0x1000000, markType26 = 0x2000000, markType27 = 0x4000000, markType28 = 0x8000000,
markType29 = 0x10000000, markType30 = 0x20000000, markType31 = 0x40000000, markType32 = 0x80000000,
Bookmark = markType01, BreakpointActive = markType02, BreakpointReached = markType03, BreakpointDisabled = markType04,
Execution = markType05, Warning = markType06, Error = markType07
}

## Public Member Functions

unsigned int | markInterfaceNumber () const
virtual uint | mark (uint line)=0
virtual void | setMark (uint line, uint markType)=0
virtual void | clearMark (uint line)=0
virtual void | addMark (uint line, uint markType)=0
virtual void | removeMark (uint line, uint markType)=0
virtual QPtrList < KTextEditor::Mark > | marks ()=0
virtual void | clearMarks ()=0
virtual void | marksChanged ()=0

## Static Public Member Functions

static int | reservedMarkersCount ()

## Protected Member Functions

void | setMarkInterfaceDCOPSuffix (const QCString &suffix)

## Friends

class | PrivateMarkInterface

## Detailed Description

This is an interface to enable marks to be made in the iconborder of the Document class.

Definition at line 42 of file markinterface.h.

## Member Enumeration Documentation

enum KTextEditor::MarkInterface::MarkTypes

Pre-defined mark types.

To create a non-standard mark type, use MarkInterfaceExtension. To add a new standard mark type, edit this interface to document the type.

Enumerator
markType01 | Bookmark.
markType02 | Breakpoint active.
markType03 | Breakpoint reached.
markType04 | Breakpoint disabled.
markType05 | Execution mark.
markType06 | Warning.
markType07 | Error.

Definition at line 103 of file markinterface.h.

## Member Function Documentation

virtual void KTextEditor::MarkInterface::clearMark | ( | uint | line | ) |

pure virtual

Clears all marks set in `line`.

virtual void KTextEditor::MarkInterface::clearMarks | ( |  | ) |

pure virtual

Clears all marks in the document.

virtual uint KTextEditor::MarkInterface::mark | ( | uint | line | ) |

pure virtual

Returns
  a uint representing the marks set in `line` OR'ed togeather.

virtual QPtrList<KTextEditor::Mark> KTextEditor::MarkInterface::marks | ( |  | ) |

pure virtual

Returns
  a list of all marks in the document

virtual void KTextEditor::MarkInterface::removeMark | ( | uint | line,
|  | uint | markType
| ) |  |

pure virtual

Removes any mark of type `markType` from `line`.

int MarkInterface::reservedMarkersCount | ( |  | ) |

static

get the number of predefined marker types we have so far.

Note
  If you change this you have to make sure katepart supports the new size!

Returns
  number of reserved marker types

Since
  3.3

Definition at line 71 of file markinterface.cpp.

virtual void KTextEditor::MarkInterface::setMark | ( | uint | line,
|  | uint | markType
| ) |  |

pure virtual

Adds a mark of type `markType` to `line`.

Has no effect if the line allready contains a mark of that type.

The documentation for this class was generated from the following files:

- markinterface.h
- markinterface.cpp

KDE Home | KDE Accessibility Home | Description of Access Keys